gtkmm: Gtk::ConstantExpression< T > Class Template Reference

gtkmm 4.23.0

Static Public Member Functions | List of all members
Gtk::ConstantExpression< T > Class Template Referencefinal

`#include <gtkmm/expression.h>`

Inheritance diagram for Gtk::ConstantExpression< T >:
[legend]

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
template<class... T_Args>
static Glib::RefPtr< ConstantExpression< T > > | create (T_Args &&... args)
| Creates a Gtk::Expression that evaluates to the object given by the arguments.
static Glib::RefPtr< ConstantExpression< T > > | create_for_value (const Glib::Value< T > & value)
| Creates an expression that always evaluates to the given value.

## Additional Inherited Members
Public Types inherited from Gtk::Expression< T >
using | ValueType = T
Public Types inherited from Gtk::ExpressionBase
using | SlotNotify = sigc::slot<void()>
| For instance: void on_notify();.
Public Member Functions inherited from Gtk::Expression< T >
std::optional< T > | evaluate (const Glib::RefPtr< Glib::ObjectBase > & this_)
| Evaluates the given expression and on success returns the result.
Glib::RefPtr< ExpressionWatch< T > > | watch (const Glib::RefPtr< Glib::ObjectBase > & this_, const SlotNotify & notify)
| Installs a watch for the expression that calls the notify function whenever the evaluation of the expression may have changed.
template<class T2>
Glib::RefPtr< ExpressionWatch< T > > | bind (const Glib::PropertyProxy< T2 > & property, const Glib::RefPtr< Glib::ObjectBase > & this_=nullptr)
| Bind a target's property to the expression.
template<class T2>
Glib::RefPtr< ExpressionWatch< T > > | bind (const Glib::PropertyProxy_WriteOnly< T2 > & property, const Glib::RefPtr< Glib::ObjectBase > & this_=nullptr)
| Bind a target's property to the expression.
Public Member Functions inherited from Gtk::ExpressionBase
void | reference () const
| Increment the reference count for this object.
void | unreference () const
| Decrement the reference count for this object.
GtkExpression * | gobj ()
| Provides access to the underlying C instance.
const GtkExpression * | gobj () const
| Provides access to the underlying C instance.
GtkExpression * | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
| ExpressionBase ()=delete
| ExpressionBase (const ExpressionBase &)=delete
ExpressionBase & | operator= (const ExpressionBase &)=delete
GType | get_value_type () const
| Gets the GType that this expression evaluates to.
bool | is_static () const
| Checks if the expression is static.
Protected Member Functions inherited from Gtk::ExpressionBase
void | operator delete (void *, std::size_t)
Related Symbols inherited from Gtk::ExpressionBase
Glib::RefPtr< Gtk::ExpressionBase > | wrap (GtkExpression * object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Member Function Documentation

## ◆ create()

template <class T>
template <class... T_Args>

Glib::RefPtr< ConstantExpression< T > > Gtk::ConstantExpression< T >::create | ( | T_Args &&... | args | ) |
| static

Creates a Gtk::Expression that evaluates to the object given by the arguments.

Parameters

  args | Arguments to create the object from.

Returns
  A new Gtk::Expression.

## ◆ create_for_value()

template <class T>

Glib::RefPtr< ConstantExpression< T > > Gtk::ConstantExpression< T >::create_for_value | ( | const Glib::Value< T > & | value | ) |
| static

Creates an expression that always evaluates to the given value.

Parameters

  value | A Value.

Returns
  A new Gtk::Expression.

## ◆ get_type()

template <class T>

GType Gtk::ConstantExpression< T >::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.